> ## Documentation Index
> Fetch the complete documentation index at: https://docs.altur.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create EndUser

> Create new EndUser for your organization



## OpenAPI

````yaml POST /enduser
openapi: 3.0.1
info:
  title: Altur API
  description: >-
    An API aimed to allow third-party developers to interact with the Altur
    platform through a RESTful interface.
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.altur.io/api/v1.0
security:
  - apiKeyAuth: []
paths:
  /enduser:
    post:
      description: Create new EndUser for your organization
      requestBody:
        description: EndUser to be created
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EndUserData'
      responses:
        '200':
          description: EndUser created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndUser'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    EndUserData:
      type: object
      properties:
        display_name:
          description: EndUser's display name
          type: string
        info:
          description: >-
            EndUser's information valuable for interactions with Agents or human
            agents
          type: string
    EndUser:
      type: object
      properties:
        id:
          description: Unique identifier for the EndUser
          type: string
          format: uuid4
        display_name:
          description: EndUser's display name
          type: string
        integration_type:
          description: Enum representing the Integration's channel
          type: string
          enum:
            - api
            - whatsapp
        info:
          description: >-
            EndUser's information valuable for interactions with Agents or human
            agents
          type: string
      required:
        - id
        - display_name
        - integration
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Add `api-key YOUR_API_SECRET_KEY` as the value of the `Authorization`
        header.

````